#!/bin/sh

args1=$1
args2=$2
wd=$3
change=$4
nruns=10
tfile=$wd"output.data"
mkdir $wd
counter=5
while [ $counter -lt $nruns ]
  do
  rm $tfile
  nice -14 java $args1 THSim1 $args2 > $tfile
  cat $tfile | grep TP > $wd"tp"$counter".data"
  substitute "TP " "" $wd"tp"$counter".data"
  if [ "$change" == "true" ]
      then
      removeline 1 $wd"tp"$counter".data"
  fi
  cat $tfile | grep GR > $wd"gr"$counter".data"
  mv $wd"grammar.txt" $wd"grammar"$counter".data"
  gzip $wd"grammar"$counter".data"
  gzip $wd"gr"$counter".data"
  counter=`expr $counter + 1`
done
compute accumulaterunslnr $wd"tp.data" $wd"testpop.data" $nruns $nruns 7 true
gzip $wd"tp"*"data"
rm $tfile
